export function Header() {
	return (
		<header className="bg-gradient-to-r from-primary to-primary-400 p-6 rounded-t-xl">
			<div className="flex flex-col space-y-6">
				{/* 主标题区域 */}
				<div>
					<h1 className="text-3xl font-bold tracking-wider text-white">
						我收到的信件
					</h1>
					<p className="mt-2 text-blue-100 text-lg">
						及时查看 • 快速处理 • 高效反馈
					</p>
				</div>

				{/* 服务特点说明 */}
				<div className="flex flex-wrap gap-6 text-sm text-white">
					<div className="flex items-center gap-2">
						<svg
							className="w-5 h-5"
							fill="none"
							stroke="currentColor"
							viewBox="0 0 24 24">
							<path
								strokeLinecap="round"
								strokeLinejoin="round"
								strokeWidth="2"
								d="M20 13V6a2 2 0 00-2-2H6a2 2 0 00-2 2v7m16 0v5a2 2 0 01-2 2H6a2 2 0 01-2-2v-5m16 0h-2.586a1 1 0 00-.707.293l-2.414 2.414a1 1 0 01-.707.293h-3.172a1 1 0 01-.707-.293l-2.414-2.414A1 1 0 006.586 13H4"
							/>
						</svg>
						<span>随时查看收到的信件</span>
					</div>
					<div className="flex items-center gap-2">
						<svg
							className="w-5 h-5"
							fill="none"
							stroke="currentColor"
							viewBox="0 0 24 24">
							<path
								strokeLinecap="round"
								strokeLinejoin="round"
								strokeWidth="2"
								d="M12 6v6m0 0v6m0-6h6m-6 0H6"
							/>
						</svg>
						<span>快速处理信件内容</span>
					</div>
					<div className="flex items-center gap-2">
						<svg
							className="w-5 h-5"
							fill="none"
							stroke="currentColor"
							viewBox="0 0 24 24">
							<path
								strokeLinecap="round"
								strokeLinejoin="round"
								strokeWidth="2"
								d="M8 10h.01M12 10h.01M16 10h.01M9 16H5a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v8a2 2 0 01-2 2h-5l-5 5v-5z"
							/>
						</svg>
						<span>高效反馈处理结果</span>
					</div>
				</div>

				{/* 服务宗旨说明 */}
				<div className="text-sm text-blue-100 border-t border-blue-400/30 pt-4">
					<p className="leading-relaxed">
						我们确保您能够及时查看、快速处理收到的信件，
						并通过高效反馈机制，提升沟通效率，助力工作顺利开展。
					</p>
				</div>
			</div>
		</header>
	);
}
