export default function ProgressHeader() {
    return <header className=" rounded-t-xl bg-gradient-to-r from-primary to-primary-400 text-white p-6">
        <div className="flex flex-col space-y-6">
            {/* 主标题 */}
            <div>
                <h1 className="text-3xl font-bold tracking-wider">
                    查询处理进度
                </h1>
                <p className="mt-2 text-blue-100 text-lg">
                    实时跟踪您的信件处理状态
                </p>
            </div>

            {/* 处理状态说明 */}
            <div className="flex flex-wrap gap-6 text-sm">
                <div className="flex items-center gap-2">
                    <svg
                        className="w-5 h-5"
                        fill="none"
                        stroke="currentColor"
                        viewBox="0 0 24 24">
                        <path
                            strokeLinecap="round"
                            strokeLinejoin="round"
                            strokeWidth="2"
                            d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"
                        />
                    </svg>
                    <span>身份信息已加密</span>
                </div>
                <div className="flex items-center gap-2">
                    <svg
                        className="w-5 h-5"
                        fill="none"
                        stroke="currentColor"
                        viewBox="0 0 24 24">
                        <path
                            strokeLinecap="round"
                            strokeLinejoin="round"
                            strokeWidth="2"
                            d="M9 12h6m-6 4h6m2 5H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"
                        />
                    </svg>
                    <span>全程跟踪处理状态</span>
                </div>
                <div className="flex items-center gap-2">
                    <svg
                        className="w-5 h-5"
                        fill="none"
                        stroke="currentColor"
                        viewBox="0 0 24 24">
                        <path
                            strokeLinecap="round"
                            strokeLinejoin="round"
                            strokeWidth="2"
                            d="M8 11V7a4 4 0 118 0m-4 8v2m-6 4h12a2 2 0 002-2v-6a2 2 0 00-2-2H6a2 2 0 00-2 2v6a2 2 0 002 2z"
                        />
                    </svg>
                    <span>处理结果及时反馈</span>
                </div>
            </div>

            {/* 处理说明 */}
            <div className="text-sm text-blue-100 border-t border-blue-400/30 pt-4">
                <p>您可以随时查看问题的处理进度，我们会及时更新处理状态并通知您最新进展。所有信息都经过加密保护，确保处理过程的安全性。</p>
            </div>
        </div>
    </header>

}