import { TermDto } from "@nice/common";

export default function WriteHeader({ term }: { term?: TermDto }) {
	return <header className=" rounded-t-xl bg-gradient-to-r from-primary to-primary-400 text-white p-6">
		<div className="flex flex-col space-y-6">
			{/* 主标题 */}
			<div>
				<h1 className="text-3xl font-bold tracking-wider">
					{term?.name}信件投递入口
				</h1>
				<p className="mt-2 text-blue-100 text-lg">
					保护您隐私的信件传输平台
				</p>
			</div>

			{/* 隐私保护说明 */}
			<div className="flex flex-wrap gap-6 text-sm">
				<div className="flex items-center gap-2">
					<svg
						className="w-5 h-5"
						fill="none"
						stroke="currentColor"
						viewBox="0 0 24 24">
						<path
							strokeLinecap="round"
							strokeLinejoin="round"
							strokeWidth="2"
							d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"
						/>
					</svg>
					<span>个人信息严格保密</span>
				</div>
				<div className="flex items-center gap-2">
					<svg
						className="w-5 h-5"
						fill="none"
						stroke="currentColor"
						viewBox="0 0 24 24">
						<path
							strokeLinecap="round"
							strokeLinejoin="round"
							strokeWidth="2"
							d="M9 12h6m-6 4h6m2 5H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"
						/>
					</svg>
					<span>支持匿名反映问题</span>
				</div>
				<div className="flex items-center gap-2">
					<svg
						className="w-5 h-5"
						fill="none"
						stroke="currentColor"
						viewBox="0 0 24 24">
						<path
							strokeLinecap="round"
							strokeLinejoin="round"
							strokeWidth="2"
							d="M8 11V7a4 4 0 118 0m-4 8v2m-6 4h12a2 2 0 002-2v-6a2 2 0 00-2-2H6a2 2 0 00-2 2v6a2 2 0 002 2z"
						/>
					</svg>
					<span>网络数据加密存储</span>
				</div>
			</div>

			{/* 隐私承诺 */}
			<div className="text-sm text-blue-100 border-t border-blue-400/30 pt-4">
				<p>您的个人信息将被严格保密，不向任何第三方透露。您可以选择匿名反映问题，平台会自动过滤可能暴露身份的信息。</p>
			</div>
		</div>
	</header>

}
