import { Prisma } from "@prisma/client";
export const staffDetailSelect: Prisma.StaffSelect = {
	id: true,
	username: true,
	department: {
		select: {
			id: true,
			name: true
		}
	},
	showname: true,
	phoneNumber: true,
	deptId: true,
	domain: {
		select: {
			id: true,
			name: true
		}
	},
	domainId: true,
	meta: true
}
export const postDetailSelect: Prisma.PostSelect = {
	id: true,
	type: true,
	title: true,
	state: true,
	content: true,
	views: true,
	likes: true,
	hates: true,
	isPublic: true,
	resources: true,
	createdAt: true,
	updatedAt: true,

	terms: {
		select: { id: true, name: true },
	},
	authorId: true,
	author: {
		select: {
			id: true,
			showname: true,
			avatar: true,
			department: {
				select: {
					id: true,
					name: true,
				},
			},
			meta: true,
		},
	},
	receivers: {
		select: {
			id: true,
			showname: true,
			avatar: true,
			department: {
				select: {
					id: true,
					name: true,
				},
			},
		},
	},
	meta: true,
};
